Name:           open-xchange-documents-help
BuildArch:      noarch
BuildRequires:  java-devel
%if 0%{?rhel_version} && 0%{?rhel_version} >= 700
BuildRequires:  ant
%else
BuildRequires:  ant-nodeps
%endif
BuildRequires:  nodejs >= 0.10.0
Version:        7.8.2
%define         ox_release 8
Release:        %{ox_release}_<CI_CNT>.<B_CNT>
Group:          Applications/Productivity
Vendor:         Open-Xchange
URL:            http://open-xchange.com
Packager:       Julian Baeume <julian.baeume@open-xchange.com>
License:        CC-BY-NC-SA
Summary:        OX Documents online help
Source:         %{name}_%{version}.orig.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

%if 0%{?rhel_version} || 0%{?fedora_version}
%define docroot /var/www/html/
%else
%define docroot /srv/www/htdocs/
%endif

%description
OX Documents help files

%package        common
Group:          Applications/Productivity
Summary:        Language-independent files of online help for OX Documents

%description    common
Language-independent files of online help for OX Documents

%package       de-de
Group:         Applications/Productivity
Summary:       Online help for OX Documents (de_DE)
Provides:      open-xchange-documents-help
Requires:      open-xchange-documents-help-common

%description   de-de
Online help for OX Documents (de_DE)

%package       en-gb
Group:         Applications/Productivity
Summary:       Online help for OX Documents (en_GB)
Provides:      open-xchange-documents-help
Requires:      open-xchange-documents-help-common

%description   en-gb
Online help for OX Documents (en_GB)

%package       en-us
Group:         Applications/Productivity
Summary:       Online help for OX Documents (en_US)
Provides:      open-xchange-documents-help
Requires:      open-xchange-documents-help-common

%description   en-us
Online help for OX Documents (en_US)

%package       es-es
Group:         Applications/Productivity
Summary:       Online help for OX Documents (es_ES)
Provides:      open-xchange-documents-help
Requires:      open-xchange-documents-help-common

%description   es-es
Online help for OX Documents (es_ES)

%package       es-mx
Group:         Applications/Productivity
Summary:       Online help for OX Documents (es_MX)
Provides:      open-xchange-documents-help
Requires:      open-xchange-documents-help-common

%description   es-mx
Online help for OX Documents (es_MX)

%package       fr-fr
Group:         Applications/Productivity
Summary:       Online help for OX Documents (fr_FR)
Provides:      open-xchange-documents-help
Requires:      open-xchange-documents-help-common

%description   fr-fr
Online help for OX Documents (fr_FR)

%package       it-it
Group:         Applications/Productivity
Summary:       Online help for OX Documents (it_IT)
Provides:      open-xchange-documents-help
Requires:      open-xchange-documents-help-common

%description   it-it
Online help for OX Documents (it_IT)

%package       ja-jp
Group:         Applications/Productivity
Summary:       Online help for OX Documents (ja_JP)
Provides:      open-xchange-documents-help
Requires:      open-xchange-documents-help-common

%description   ja-jp
Online help for OX Documents (ja_JP)

%package       nl-nl
Group:         Applications/Productivity
Summary:       Online help for OX Documents (nl_NL)
Provides:      open-xchange-documents-help
Requires:      open-xchange-documents-help-common

%description   nl-nl
Online help for OX Documents (nl_NL)

%package       pl-pl
Group:         Applications/Productivity
Summary:       Online help for OX Documents (pl_PL)
Provides:      open-xchange-documents-help
Requires:      open-xchange-documents-help-common

%description   pl-pl
Online help for OX Documents (pl_PL)

%package       zh-cn
Group:         Applications/Productivity
Summary:       Online help for OX Documents (zh_CN)
Provides:      open-xchange-documents-help
Requires:      open-xchange-documents-help-common

%description   zh-cn
Online help for OX Documents (zh_CN)

%package       zh-tw
Group:         Applications/Productivity
Summary:       Online help for OX Documents (zh_TW)
Provides:      open-xchange-documents-help
Requires:      open-xchange-documents-help-common

%description   zh-tw
Online help for OX Documents (zh_TW)

%prep

%setup -q

%build

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
ant -Dbasedir=build -DdestDir=%{buildroot} -DpackageName=%{name} -Dhtdoc=%{docroot} -Dlanguages=false -DkeepCache=true -f build/build.xml build
for LANG in de_DE en_GB en_US es_ES es_MX fr_FR it_IT ja_JP nl_NL pl_PL zh_CN zh_TW; do
    ant -Dbasedir=build -DdestDir=%{buildroot} -DpackageName=%{name} -Dhtdoc=%{docroot} -DinstallTarget=${LANG} -DkeepCache=true -Dnoclean=true -f build/build.xml clean build
done

%clean
%{__rm} -rf %{buildroot}

%files common
%defattr(-,root,root)
%dir %{docroot}/appsuite
%{docroot}/appsuite/help-documents
%exclude %{docroot}/appsuite/help-documents/l10n

%files de-de
%defattr(-,root,root)
%dir %{docroot}/appsuite/help-documents/l10n
%{docroot}/appsuite/help-documents/l10n/de_DE

%files en-gb
%defattr(-,root,root)
%dir %{docroot}/appsuite/help-documents/l10n
%{docroot}/appsuite/help-documents/l10n/en_GB

%files en-us
%defattr(-,root,root)
%dir %{docroot}/appsuite
%dir %{docroot}/appsuite/help-documents/l10n
%{docroot}/appsuite/help-documents/l10n/en_US

%files es-es
%defattr(-,root,root)
%dir %{docroot}/appsuite/help-documents/l10n
%{docroot}/appsuite/help-documents/l10n/es_ES

%files es-mx
%defattr(-,root,root)
%dir %{docroot}/appsuite/help-documents/l10n
%{docroot}/appsuite/help-documents/l10n/es_MX

%files fr-fr
%defattr(-,root,root)
%dir %{docroot}/appsuite/help-documents/l10n
%{docroot}/appsuite/help-documents/l10n/fr_FR

%files it-it
%defattr(-,root,root)
%dir %{docroot}/appsuite/help-documents/l10n
%{docroot}/appsuite/help-documents/l10n/it_IT

%files ja-jp
%defattr(-,root,root)
%dir %{docroot}/appsuite/help-documents/l10n
%{docroot}/appsuite/help-documents/l10n/ja_JP

%files nl-nl
%defattr(-,root,root)
%dir %{docroot}/appsuite/help-documents/l10n
%{docroot}/appsuite/help-documents/l10n/nl_NL

%files pl-pl
%defattr(-,root,root)
%dir %{docroot}/appsuite/help-documents/l10n
%{docroot}/appsuite/help-documents/l10n/pl_PL

%files zh-cn
%defattr(-,root,root)
%dir %{docroot}/appsuite/help-documents/l10n
%{docroot}/appsuite/help-documents/l10n/zh_CN

%files zh-tw
%defattr(-,root,root)
%dir %{docroot}/appsuite/help-documents/l10n
%{docroot}/appsuite/help-documents/l10n/zh_TW

%changelog
* Mon Jul 03 2017 Julian B??ume <julian.baeume@open-xchange.com>
Build for patch 2017-07-10 (4255)
* Mon May 08 2017 Julian B??ume <julian.baeume@open-xchange.com>
Build for patch 2017-05-15 (4131)
* Mon Sep 19 2016 Julian B??ume <julian.baeume@open-xchange.com>
Build for patch 2016-09-26 (3572)
* Wed Aug 24 2016 Julian B??ume <julian.baeume@open-xchange.com>
Build for patch 2016-08-29 (3522)
* Tue Jul 12 2016 Julian B??ume <julian.baeume@open-xchange.com>
Second candidate for 7.8.2 release
* Wed Jul 06 2016 Julian B??ume <julian.baeume@open-xchange.com>
First candidate for 7.8.2 release
* Wed Jun 29 2016 Julian B??ume <julian.baeume@open-xchange.com>
Second candidate for 7.8.2 release
* Wed Jun 15 2016 Julian B??ume <julian.baeume@open-xchange.com>
First candidate for 7.8.2 release
* Wed Jun 15 2016 Julian B??ume <julian.baeume@open-xchange.com>
prepare for 7.8.2
* Tue May 31 2016 Julian B??ume <julian.baeume@open-xchange.com>
Build for patch 2016-06-06 (3317)
* Wed Mar 30 2016 Julian B??ume <julian.baeume@open-xchange.com>
Second candidate for 7.8.1 release
* Thu Mar 24 2016 Julian B??ume <julian.baeume@open-xchange.com>
First candidate for 7.8.1 release
* Tue Mar 15 2016 Julian B??ume <julian.baeume@open-xchange.com>
Fifth preview of 7.8.1 release
* Fri Mar 04 2016 Julian B??ume <julian.baeume@open-xchange.com>
Fourth preview of 7.8.1 release
* Sat Feb 20 2016 Julian B??ume <julian.baeume@open-xchange.com>
Third candidate for 7.8.1 release
* Wed Feb 03 2016 Julian B??ume <julian.baeume@open-xchange.com>
Second candidate for 7.8.1 release
* Tue Jan 26 2016 Julian B??ume <julian.baeume@open-xchange.com>
First candidate for 7.8.1 release
* Fri Oct 09 2015 Julian B??ume <julian.baeume@open-xchange.com>
prepare for 7.8.1 release
* Fri Oct 02 2015 Julian B??ume <julian.baeume@open-xchange.com>
Sixth candidate for 7.8.0 release
* Fri Sep 25 2015 Julian B??ume <julian.baeume@open-xchange.com>
Fifth candidate for 7.8.0 release
* Fri Sep 18 2015 Julian B??ume <julian.baeume@open-xchange.com>
Fourth candidate for 7.8.0 release
* Tue Sep 08 2015 Julian B??ume <julian.baeume@open-xchange.com>
Third candidate for 7.8.0 release
* Fri Aug 21 2015 Julian B??ume <julian.baeume@open-xchange.com>
Second candidate for 7.8.0 release
* Wed Aug 05 2015 Julian B??ume <julian.baeume@open-xchange.com>
First candidate for 7.8.0 release
* Thu Apr 09 2015 Julian B??ume <julian.baeume@open-xchange.com>
prepare for 7.8.0 release
* Mon Mar 09 2015 Julian B??ume <julian.baeume@open-xchange.com>
Twelfth candidate for 7.6.2 release
* Fri Mar 06 2015 Julian B??ume <julian.baeume@open-xchange.com>
Eleventh candidate for 7.6.2 release
* Wed Mar 04 2015 Julian Baeume <julian.baeume@open-xchange.com>
Tenth candidate for 7.6.2 release
* Tue Mar 03 2015 Julian Baeume <julian.baeume@open-xchange.com>
Ninth candidate for 7.6.2 release
* Tue Feb 24 2015 Julian Baeume <julian.baeume@open-xchange.com>
Eighth candidate for 7.6.2 release
* Wed Feb 11 2015 Julian Baeume <julian.baeume@open-xchange.com>
Seventh candidate for 7.6.2 release
* Wed Feb 11 2015 Julian Baeume <julian.baeume@open-xchange.com>
prepare for 7.8.0 release
* Fri Jan 30 2015 Julian Baeume <julian.baeume@open-xchange.com>
Sixth candidate for 7.6.2 release
* Tue Jan 27 2015 Julian Baeume <julian.baeume@open-xchange.com>
Fifth candidate for 7.6.2 release
* Wed Jan 21 2015 Julian Baeume <julian.baeume@open-xchange.com>
Build for patch 2015-01-26
* Fri Dec 12 2014 Julian Baeume <julian.baeume@open-xchange.com>
Fourth candidate for 7.6.2 release
* Fri Dec 05 2014 Julian Baeume <julian.baeume@open-xchange.com>
Third candidate for 7.6.2 release
* Fri Nov 21 2014 Julian Baeume <julian.baeume@open-xchange.com>
Second candidate for 7.6.2 release
* Fri Nov 14 2014 Julian Baeume <julian.baeume@open-xchange.com>
Build for patch 2014-11-17
* Tue Nov 04 2014 Julian Baeume <julian.baeume@open-xchange.com>
Ninth candidate for 7.6.1 release
* Fri Oct 31 2014 Julian Baeume <julian.baeume@open-xchange.com>
Initial Release.
